Package com.fasterxml.jackson.dataformat.xml

## Class DefaultingXmlTypeResolverBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder
  - - com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder
    - - com.fasterxml.jackson.dataformat.xml.DefaultingXmlTypeResolverBuilder

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`, `java.io.Serializable`

    public class DefaultingXmlTypeResolverBuilder
    extends com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder
    implements java.io.Serializable

Sub-class of `StdTypeResolverBuilder` specifically used with Default Typing.

Composition/sub-classing gets quite tricky here: ideally we would just extend `XmlTypeResolverBuilder` but unfortunately inheritance hierarchy does not allow this.

Since:
  2.10
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder

`_appliesFor, _subtypeValidator`

### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

`_customIdResolver, _defaultImpl, _idType, _includeAs, _typeIdVisible, _typeProperty`

### Constructor Summary

Constructors
`DefaultingXmlTypeResolverBuilder​(com.fasterxml.jackson.databind.ObjectMapper.DefaultTyping t, com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator ptv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected com.fasterxml.jackson.databind.jsontype.TypeIdResolver` `idResolver​(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config, com.fasterxml.jackson.databind.JavaType baseType, com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator subtypeValidator, java.util.Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes, boolean forSer, boolean forDeser)`
`com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder` `init​(com.fasterxml.jackson.annotation.JsonTypeInfo.Id idType, com.fasterxml.jackson.databind.jsontype.TypeIdResolver idRes)`
`com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder` `typeProperty​(java.lang.String typeIdPropName)`

### Methods inherited from class com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder

`buildTypeDeserializer, buildTypeSerializer, construct, subTypeValidator, useForType`

### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

`defaultImpl, defineDefaultImpl, getDefaultImpl, getTypeProperty, inclusion, isTypeIdVisible, noTypeInfoBuilder, reportInvalidBaseType, typeIdVisibility, verifyBaseTypeValidity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultingXmlTypeResolverBuilder

    public DefaultingXmlTypeResolverBuilder​(com.fasterxml.jackson.databind.ObjectMapper.DefaultTyping t,
                                            com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator ptv)

### Method Detail

#### init

    public com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder init​(com.fasterxml.jackson.annotation.JsonTypeInfo.Id idType,
                                                                                    com.fasterxml.jackson.databind.jsontype.TypeIdResolver idRes)

Specified by:
  `init` in interface `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
Overrides:
  `init` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

#### typeProperty

    public com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder typeProperty​(java.lang.String typeIdPropName)

Specified by:
  `typeProperty` in interface `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
Overrides:
  `typeProperty` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

#### idResolver

    protected com.fasterxml.jackson.databind.jsontype.TypeIdResolver idResolver​(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config,
                                                                                com.fasterxml.jackson.databind.JavaType baseType,
                                                                                com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator subtypeValidator,
                                                                                java.util.Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes,
                                                                                boolean forSer,
                                                                                boolean forDeser)

Overrides:
  `idResolver` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`